#include "stm32f4xx_rcc.h"
#include "stm32f4xx_gpio.h"

GPIO_InitTypeDef outputSettings;

int main() {
	// Enable GPIOD clock
	RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOD, ENABLE);
	
	// Enable output mode for D15
	outputSettings.GPIO_Pin =	GPIO_Pin_15;
	outputSettings.GPIO_Mode =	GPIO_Mode_OUT;

	GPIO_Init(GPIOD, &outputSettings);
	
	// Set D15 high
	GPIO_SetBits(GPIOD, GPIO_Pin_15);
}
